lp:ubuntu/lucid/vlc

Created by James Westby on 2009-10-30 and last modified on 2010-04-23
Get this branch:
bzr branch lp:ubuntu/lucid/vlc
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

72. By Benjamin Drung on 2010-04-23

* Merge from Debian unstable, remaining changes:
  - build and install the libx264 plugin
  - add Xb-Npp header to vlc package
  - Add patches 519-526 to fix FTBFS with xulruner-1.9.2 from upstream
  - Add 600-drop-OJI-xul-192.patch to drop OJI support as xulrunner-1.9.2 on
    Linux doesn't support it
  - Add apport hook to include more vlc dependencies in bug reports
  - Drop --sourcedir=debian/tmp from dh_install to install apport hook
* Drop 527-spanish-desktop.patch (merged upstream).

71. By Benjamin Drung on 2010-04-15

* debian/patches/527-spanish-desktop.patch: Add Spanish translation,
  thanks Ricardo Pérez López (LP: #534312).
* Add apport hook to include more vlc dependencies in bug reports;
  thanks to Brian Murray for it (LP: #538719).
* Drop --sourcedir=debian/tmp from dh_install to install apport hook.

70. By Micah Gersten on 2010-04-13

* Add patches to fix FTBFS with xulruner-1.9.2 from upstream (LP: #558981)
  - add debian/patches/519-Typedef-changes-from-xulrunner-1.9.1.patch
  - add debian/patches/520-Don-t-hardcode-OJI-define-deprecated-xith-libxul-1.9.patch
  - add debian/patches/521-Untracked-API-change-utf8-to-UTF8.patch
  - add debian/patches/522-Mozilla-do-not-hard-code-autoconf-file-descriptors.patch
  - add debian/patches/523-Require-xul-1.9.2-explicitly.patch
  - add debian/patches/524-Mozilla-More-fixes-for-XulRunner-1.9.2.patch
  - add debian/patches/525-Mozilla-more-fixes.patch
  - add debian/patches/526-Mozilla-More-final-Win32-compile-fixes-for-XulRunner.patch
* Add patch to drop OJI support as xulrunner-1.9.2 on Linux doesn't support it
  - add debian/patches/600-drop-OJI-xul-192.patch

69. By Benjamin Drung on 2010-03-07

* Merge from Debian unstable, remaining changes:
  - build and install the libx264 plugin
  - add Xb-Npp header to vlc package

68. By Benjamin Drung on 2010-02-17

* Merge from Debian unstable, remaining changes:
  - build and install the libx264 plugin
  - add Xb-Npp header to vlc package

67. By Reinhard Tartler on 2010-01-19

rebuild for ffmpeg versioned symbols

66. By Benjamin Drung on 2010-01-06

* Merge from Debian unstable, remaining changes:
  - build and install the libx264 plugin
  - add Xb-Npp header to vlc package

65. By Reinhard Tartler on 2009-12-30

* merge from debian. Remaining changes:
  - build and install the libx264 plugin
  - add Xb-Npp header to vlc package

64. By Reinhard Tartler on 2009-11-21

[ Reinhard Tartler ]
* don't crash when cairo-dock is running. LP: #416294
  Very ugly patch from upstream to disable ARGB channel usage
  in libqt4
* enable and install the fb module on Linux systems. Closes: #556228

[ Whoopie ]
* enable CDDB in the CDDA module (LP: #439131) and enable
  globalhotkeys module (LP: #439077)

63. By Reinhard Tartler on 2009-11-12

* Merge from Debian unstable (LP: #435524), remaining changes:
  - build against xulrunner-dev instead of iceape-dev
  - build against libx264-dev and install libx264 plugin
  - add Xb-Npp header to vlc package
  - recommend vlc-plugin-pulse for vlc
  - backport patch "402_increase_pulseaudio_score.diff"

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/maverick/vlc
This branch contains Public information 
Everyone can see this information.

Subscribers